Bug 77916 - [ maintainer ] databases/mysql-connector-java -- update to 3.1.7
[ maintainer ] databases/mysql-connector-java -- update to 3.1.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: hq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 10:20 UTC by m.seaman
Modified: 2005-02-22 21:18 UTC (History)
0 users

See Also:


Attachments
mysql-connector-java.diff (921 bytes, patch)
2005-02-22 10:20 UTC, m.seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.seaman 2005-02-22 10:20:17 UTC
Routine update to version 3.1.7.  Release announcement is at:

    http://lists.mysql.com/announce/260
Comment 1 hq freebsd_committer 2005-02-22 10:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 hq freebsd_committer 2005-02-22 14:08:21 UTC
State Changed
From-To: open->feedback

While we are here, could you please review the following patch? It has your 
changes and the following: 

- Use ${JAVALIBDIR} for JAR dependencies 
- Use %%JAVAJARDIR%% in plist 
- ECHO_CMD -> ECHO_MSG 
- Add $FreeBSD$ tag in patch 
- Imroved the build.xml patch to have the location of JAR files set through 
MAKE_ARGS (should help with people with non-standard paths) 


Index: Makefile 
=================================================================== 
RCS file: /home/ncvs/ports/databases/mysql-connector-java/Makefile,v 
retrieving revision 1.30 
diff -u -r1.30 Makefile 
--- Makefile	13 Jan 2005 23:35:36 -0000	1.30 
+++ Makefile	22 Feb 2005 14:05:34 -0000 
@@ -6,7 +6,7 @@ 
# 

PORTNAME=	mysql-connector-java 
-PORTVERSION=	3.1.6 
+PORTVERSION=	3.1.7 
CATEGORIES=	databases java 
MASTER_SITES=	${MASTER_SITE_MYSQL} 
MASTER_SITE_SUBDIR=	Connector-J 
@@ -14,17 +14,18 @@ 
MAINTAINER=	m.seaman@infracaninophile.co.uk 
COMMENT=	MySQL Connector/J: JDBC interface for MySQL 

-RUN_DEPENDS=	${LOCALBASE}/share/java/classes/log4j.jar:${PORTSDIR}/devel/log4j 
+RUN_DEPENDS=	${JAVALIBDIR}/log4j.jar:${PORTSDIR}/devel/log4j 

.if !defined(WITHOUT_COMPILE) 

-BUILD_DEPENDS=	${LOCALBASE}/share/java/classes/junit.jar:${PORTSDIR}/java/junit  
-		${LOCALBASE}/share/java/classes/log4j.jar:${PORTSDIR}/devel/log4j 
+BUILD_DEPENDS=	${JAVALIBDIR}/junit.jar:${PORTSDIR}/java/junit  
+		${JAVALIBDIR}/log4j.jar:${PORTSDIR}/devel/log4j 

USE_JAVA=	yes 
USE_ANT=	yes 
JAVA_VERSION=	1.4+ 
ALL_TARGET=	clean compile-driver 
+MAKE_ARGS=	-Djavajardir=${JAVAJARDIR} 
BUILDDIR=	${WRKDIR}/build-mysql-jdbc/${DISTNAME} 

.else 
@@ -42,9 +43,9 @@ 
JARFILE=	${DISTNAME}-bin.jar 
JDCLASSPATH=	${WRKSRC}:${WRKSRC}/lib/jdbc2_0-stdext.jar:${WRKSRC}/lib/jta-spec1_0_1.jar:${CLASSPATH} 

-PLIST_FILES=	share/java/classes/jdbc2_0-stdext.jar  
-		share/java/classes/jta-spec1_0_1.jar  
-		share/java/classes/mysql-connector-java.jar 
+PLIST_FILES=	%%JAVAJARDIR%%/jdbc2_0-stdext.jar  
+		%%JAVAJARDIR%%/jta-spec1_0_1.jar  
+		%%JAVAJARDIR%%/mysql-connector-java.jar 

.if !defined(NOPORTDOCS) 
PORTDOCS=	* 
@@ -75,23 +76,23 @@ 
do-install: do-install-jar do-install-apidocs 

do-install-jar: 
-	@${ECHO_CMD} -n ">> Installing .jar files..." 
+	@${ECHO_MSG} -n ">> Installing .jar files..." 
@${MKDIR} ${JAVAJARDIR} 
@${INSTALL_DATA} ${BUILDDIR}/${JARFILE} ${JAVAJARDIR}/${DESTJARFILE} 
@for extrajar in ${EXTRAJARS} ; do                                  
${INSTALL_DATA} ${INSTALL_WRKSRC}/lib/$$extrajar ${JAVAJARDIR} ;  
done 
-	@${ECHO_CMD} " [ DONE ]" 
+	@${ECHO_MSG} " [ DONE ]" 

do-install-apidocs: 
.if !defined(NOPORTDOCS) 
-	@${ECHO_CMD} -n ">> Installing documentation in ${DOCSDIR}..." 
+	@${ECHO_MSG} -n ">> Installing documentation in ${DOCSDIR}..." 
@${MKDIR} ${APIDOCSDIR} 
@${CP} -r ${BUILDDIR}/doc/* ${APIDOCSDIR} 
@for extradoc in ${EXTRADOCS} ; do                     
${INSTALL_DATA} ${BUILDDIR}/$$extradoc ${DOCSDIR} ;  
done 
-	@${ECHO_CMD} " [ DONE ]" 
+	@${ECHO_MSG} " [ DONE ]" 
.endif 

.include <bsd.port.mk> 
Index: distinfo 
=================================================================== 
RCS file: /home/ncvs/ports/databases/mysql-connector-java/distinfo,v 
retrieving revision 1.13 
diff -u -r1.13 distinfo 
--- distinfo	13 Jan 2005 23:35:36 -0000	1.13 
+++ distinfo	22 Feb 2005 14:05:34 -0000 
@@ -1,2 +1,2 @@ 
-MD5 (mysql-connector-java-3.1.6.tar.gz) = 0800a4fe488531346c368da93131eb31 
-SIZE (mysql-connector-java-3.1.6.tar.gz) = 1601715 
+MD5 (mysql-connector-java-3.1.7.tar.gz) = 3ce0ff78bc399e5e1d2686596e5ab4e1 
+SIZE (mysql-connector-java-3.1.7.tar.gz) = 1651792 
Index: files/patch-build.xml 
=================================================================== 
RCS file: /home/ncvs/ports/databases/mysql-connector-java/files/patch-build.xml,v 
retrieving revision 1.3 
diff -u -r1.3 patch-build.xml 
--- files/patch-build.xml	13 Jan 2005 23:35:36 -0000	1.3 
+++ files/patch-build.xml	22 Feb 2005 14:05:34 -0000 
@@ -4,7 +4,7 @@ 
<include name="**/*.jar"/> 
</fileset> 

-+		<fileset dir="/usr/local/share/java/classes"> 
++		<fileset dir="${javajardir}"> 
+			<include name="junit.jar"/> 
+			<include name="log4j.jar"/> 
+		</fileset>
Comment 3 hq freebsd_committer 2005-02-22 21:17:53 UTC
State Changed
From-To: feedback->closed

Patch commited with maintainer approved changes. 

Thanks for your contribution!